Create group
POST
/sms-api/contact/addGroupCreates an empty contact group. Names are unique per account.
Parameters
namestringrequiredGroup name.
group_iconstringrequiredIcon shown in the dashboard.
group_icon_1group_icon_2group_icon_3group_icon_4group_icon_5group_icon_6
| Field | Type | Required | Description |
|---|---|---|---|
name | string | required | Group name. |
group_icon | string | required | Icon shown in the dashboard.group_icon_1group_icon_2group_icon_3group_icon_4group_icon_5group_icon_6 |
Errors
- 422The name has already been taken.
Request
curl -X POST "https://api.bulkclix.com/api/v1/sms-api/contact/addGroup" \ -H "x-api-key: YOUR_API_KEY" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "name": "VIP customers", "group_icon": "group_icon_1" }'
Response · 200
application/json
{ "message": "Group Added Successfully", "data": { "id": "7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d", "name": "VIP customers", "group_icon": "group_icon_1", "created_at": "2026-09-22T10:00:00.000000Z" } }